Last Comment Bug 756780 - IonMonkey: Assertion failure: type == MIRType_Value || type == MIRType_String || type == MIRType_Object, at ../ion/IonMacroAssembler.h:340
: IonMonkey: Assertion failure: type == MIRType_Value || type == MIRType_String...
Status: VERIFIED FIXED
[jsbugmon:update]
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: x86_64 Linux
: -- major (vote)
: ---
Assigned To: David Anderson [:dvander]
:
Mentors:
Depends on:
Blocks: langfuzz IonFuzz
  Show dependency treegraph
 
Reported: 2012-05-19 07:45 PDT by Christian Holler (:decoder)
Modified: 2013-01-14 07:42 PST (History)
7 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.85 KB, patch)
2012-05-21 15:48 PDT, David Anderson [:dvander]
jdemooij: review+
Details | Diff | Review

Description Christian Holler (:decoder) 2012-05-19 07:45:24 PDT
The following testcase asserts on ionmonkey revision 890dd17b4187 (run with --ion -n -m --ion-eager):


gczeal(4);
var i = (29);
var status = '';
var statusmessages = new Array();
addThis();
addThis();
function addThis()
  statusmessages[i] = status;
Comment 1 David Anderson [:dvander] 2012-05-21 15:48:59 PDT
Created attachment 625801 [details] [diff] [review]
fix

emitPreBarrier doesn't like MIRType_None
Comment 2 David Anderson [:dvander] 2012-05-22 17:03:47 PDT
http://hg.mozilla.org/projects/ionmonkey/rev/afbfcebb1976
Comment 3 Christian Holler (:decoder) 2012-05-22 17:58:35 PDT
JSBugMon: This bug has been automatically verified fixed.
Comment 4 Christian Holler (:decoder) 2013-01-14 07:42:42 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/ion/bug756780.js.

Note You need to log in before you can comment on or make changes to this bug.